--- zip/org/ajax4jsf/framework.pack.js	2009-05-15 15:29:16.000000000 +0200
+++ rpm/org/ajax4jsf/framework.pack.js	1980-01-01 00:00:00.000000000 +0100
@@ -5797,189 +5797,6 @@
 return A
 }}
 
-if(!document.observe){throw"prototype.js is required!"
-}if(!A4J||!A4J.AJAX||!A4J.AJAX.AddListener){throw"AJAX script is required!"
-}if(!window.Richfaces){window.Richfaces={}
-}Object.extend(Richfaces,function(){var D=0;
-var B={};
-var G=false;
-var J=null;
-var F=function(L,N){if(N instanceof Array){for(var M=0;
-M<N.length;
-M++){N[M](L)
-}}else{N(L)
-}};
-var H=function(){if(G){Event.stopObserving(document,"mouseover",K,true);
-Event.stopObserving(document,"focus",K,true);
-Event.stopObserving(document,"focusin",K,true);
-G=false;
-J=null
-}};
-var K=function(N){var L=Event.element(N);
-while(L){var P=L.id;
-if(P){if(!J){J=P
-}else{if(J==P){break
-}}var M=B[P];
-if(M){try{F(L,M)
-}catch(O){A();
-throw O
-}delete B[P];
-if(--D==0){H();
-break
-}}}L=L.parentNode
-}};
-var C=function(){if(!G){Event.observe(document,"mousemove",K,true);
-Event.observe(document,"focus",K,true);
-Event.observe(document,"focusin",K,true);
-G=true
-}};
-var A=function(){try{H();
-D=0;
-B={}
-}catch(L){LOG.error("Error occured during cleanup: "+L)
-}};
-var I=function(){try{for(var M in B){var L=$(M);
-if(L){F(L,B[M])
-}else{LOG.error("Element with id = "+M+" hasn't been found!")
-}}}finally{A()
-}};
-var E=function(O,P){var N=$(O);
-if(N){P(N)
-}else{var L=B[O];
-if(!L){B[O]=P;
-J=null;
-D++;
-C()
-}else{if(L instanceof Array){L.push(P)
-}else{var M=new Array();
-M.push(L);
-M.push(P);
-B[O]=M
-}}}};
-A4J.AJAX.AddListener(I);
-document.observe("dom:loaded",I);
-return{onAvailable:E}
-}())
-
-if(!window.Richfaces){window.Richfaces={}
-}Richfaces.jsFormSubmit=function(F,B,D,E){var C=document.getElementById(B);
-if(C){var A=C.target;
-var H=new Array();
-if(E){for(var G in E){H.push(G)
-}}_JSFFormSubmit(F,B,D,E);
-_clearJSFFormParameters(B,A,H)
-}}
-
-var mediaName="rich-extended-skinning";
-var userAgent=navigator.userAgent;
-var skipNavigator=window.opera||(userAgent.indexOf("AppleWebKit/")>-1&&userAgent.indexOf("Chrome/")==-1);
-if(!skipNavigator){var resetMedia=function(A){var B=A.getAttribute("media");
-if(mediaName==B){A.removeAttribute("media")
-}};
-if(!window._RICH_FACES_SKINNING_ADDED_TO_BODY){var getElementByTagName=function(B,A){var E;
-try{E=B.selectNodes('.//*[local-name()="'+A+'"]')
-}catch(C){try{E=B.getElementsByTagName(A)
-}catch(D){}}return E
-};
-var f=function(){if(window.RICH_FACES_EXTENDED_SKINNING_ON){var D=getElementByTagName(document,"link");
-if(D){var A=D.length;
-for(var C=0;
-C<A;
-C++){var B=D[C];
-resetMedia(B)
-}}}};
-if(window.addEventListener){window.addEventListener("load",f,false)
-}else{window.attachEvent("onload",f)
-}window._RICH_FACES_SKINNING_ADDED_TO_BODY=true
-}if(!window._RICH_FACES_SKINNING_ADDED_TO_AJAX&&typeof A4J!="undefined"&&A4J.AJAX){A4J.AJAX.AddHeadElementTransformer(function(A){if(window.RICH_FACES_EXTENDED_SKINNING_ON){if(A.tagName&&A.tagName.toLowerCase()=="link"){resetMedia(A)
-}}});
-window._RICH_FACES_SKINNING_ADDED_TO_AJAX=true
-}}
-if(!window.Richfaces){window.Richfaces={}
-}Richfaces.SYNTHETIC_EVENT="Richfaces.SYNTHETIC_EVENT";
-Richfaces.createEvent=function(F,D,C,E){var G;
-if(document.createEventObject){if(C){G=document.createEventObject(C)
-}else{G=document.createEventObject()
-}}else{var B=C&&C.bubbles||false;
-var A=C&&C.cancelable||true;
-switch(F){case"abort":case"blur":case"change":case"error":case"focus":case"load":case"reset":case"resize":case"scroll":case"select":case"submit":case"unload":G=document.createEvent("HTMLEvents");
-G.initEvent(F,B,A);
-break;
-case"DOMActivate":case"DOMFocusIn":case"DOMFocusOut":case"keydown":case"keypress":case"keyup":G=document.createEvent("UIEvents");
-if(C){G.initUIEvent(F,B,A,C.windowObject,C.detail)
-}else{G.initEvent(F,B,A)
-}break;
-case"click":case"mousedown":case"mousemove":case"mouseout":case"mouseover":case"mouseup":G=document.createEvent("MouseEvents");
-if(C){G.initMouseEvent(F,B,A,C.windowObject,C.detail,C.screenX,C.screenY,C.clientX,C.clientY,C.ctrlKey,C.altKey,C.shiftKey,C.metaKey,C.button,C.relatedTarget)
-}else{G.initEvent(F,B,A)
-}break;
-case"DOMAttrModified":case"DOMNodeInserted":case"DOMNodeRemoved":case"DOMCharacterDataModified":case"DOMNodeInsertedIntoDocument":case"DOMNodeRemovedFromDocument":case"DOMSubtreeModified":G=document.createEvent("MutationEvents");
-if(C){G.initMutationEvent(F,B,A,C.relatedNode,C.prevValue,C.newValue,C.attrName,C.attrChange)
-}else{G.initEvent(F,B,A)
-}break;
-default:G=document.createEvent("Events");
-G.initEvent(F,B,A)
-}}if(E){Object.extend(G,E)
-}G[Richfaces.SYNTHETIC_EVENT]=true;
-return{event:G,fire:function(){if(D.fireEvent){D.fireEvent("on"+F,this.event)
-}else{D.dispatchEvent(this.event)
-}},destroy:function(){if(E){for(var H in E){this.event[H]=undefined
-}}}}
-};
-Richfaces.eventIsSynthetic=function(A){if(A){return new Boolean(A[Richfaces.SYNTHETIC_EVENT]).valueOf()
-}return false
-}
-
-if(!window.RichFaces){window.RichFaces={}
-}RichFaces.MSIE=0;
-RichFaces.FF=1;
-RichFaces.OPERA=2;
-RichFaces.NETSCAPE=3;
-RichFaces.SAFARI=4;
-RichFaces.KONQ=5;
-RichFaces.navigatorType=function(){var A=navigator.userAgent.toLowerCase();
-if(A.indexOf("msie")>=0||A.indexOf("explorer")>=0){return RichFaces.MSIE
-}if(A.indexOf("firefox")>=0||A.indexOf("iceweasel")>=0){return RichFaces.FF
-}if(A.indexOf("opera")>=0){return RichFaces.OPERA
-}if(A.indexOf("netscape")>=0){return RichFaces.NETSCAPE
-}if(A.indexOf("safari")>=0){return RichFaces.SAFARI
-}if(A.indexOf("konqueror")>=0){return RichFaces.KONQ
-}return"OTHER"
-};
-RichFaces.getOperaVersion=function(){var B=navigator.userAgent.toLowerCase();
-var A=B.indexOf("opera");
-if(A==-1){return 
-}return parseFloat(B.substring(A+6))
-};
-RichFaces.getIEVersion=function(){var C="msie";
-var D=navigator.userAgent.toLowerCase();
-var A=D.indexOf(C);
-if(A!=-1){var E=D.indexOf(";",A);
-var B;
-if(E!=-1){B=D.substring(A+C.length,E)
-}else{B=D.substring(A+C.length)
-}return parseFloat(B)
-}else{return undefined
-}}
-
-if(!String.prototype.parseJSON){String.prototype.parseJSON=function(hook){try{if(!/[^,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]/.test(this.replace(/("(\\.|[^"\\])*")|('(\\.|[^'\\])*')/g,""))){var j=eval("("+this+")");
-if(typeof hook==="function"){function walk(v){if(v&&typeof v==="object"){for(var i in v){if(v.hasOwnProperty(i)){v[i]=walk(v[i])
-}}}return hook(v)
-}return walk(j)
-}return j
-}}catch(e){}throw new SyntaxError("parseJSON")
-}
-}EventHandlersWalk=function(v){if(v&&typeof v=="object"){var names=new Array();
-for(var i in v){if(v.hasOwnProperty(i)){if(i.length>2&&i.substring(0,2)=="on"){names.push(i)
-}}}for(var i=0;
-i<names.length;
-i++){var name=names[i];
-var value=v[name];
-if(value&&typeof value!="function"){var f=eval("(["+v[name]+"])")[0];
-if(typeof f=="function"){v[name]=f
-}}}}return v
-}
-
 JSNode=function(){};
 JSNode.prototype={tag:null,attrs:{},childs:[],value:"",_symbols:{"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&apos;","\u00A0":"&nbsp;"},getInnerHTML:function(F){var B=[];
 for(var A=0;
@@ -6030,32 +5847,317 @@
 D.prototype.getContent=function(A){return"<![CDATA["+this.value+"]]>"
 }
 
-DnD.getDnDDefaultParams=function(B){var A=Richfaces.getNSAttribute("defaultdndparams",B);
-if(A){var C=A.parseJSON(EventHandlersWalk);
-if(C){return C
-}}return{}
+if(!String.prototype.parseJSON){String.prototype.parseJSON=function(hook){try{if(!/[^,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]/.test(this.replace(/("(\\.|[^"\\])*")|('(\\.|[^'\\])*')/g,""))){var j=eval("("+this+")");
+if(typeof hook==="function"){function walk(v){if(v&&typeof v==="object"){for(var i in v){if(v.hasOwnProperty(i)){v[i]=walk(v[i])
+}}}return hook(v)
+}return walk(j)
+}return j
+}}catch(e){}throw new SyntaxError("parseJSON")
+}
+}EventHandlersWalk=function(v){if(v&&typeof v=="object"){var names=new Array();
+for(var i in v){if(v.hasOwnProperty(i)){if(i.length>2&&i.substring(0,2)=="on"){names.push(i)
+}}}for(var i=0;
+i<names.length;
+i++){var name=names[i];
+var value=v[name];
+if(value&&typeof value!="function"){var f=eval("(["+v[name]+"])")[0];
+if(typeof f=="function"){v[name]=f
+}}}}return v
+}
+
+if(!window.Richfaces){window.Richfaces={}
+}Richfaces.mergeStyles=function(B,C){var A;
+for(A in B){if(typeof B[A]=="object"){this.mergeStyles(B[A],C[A])
+}else{C[A]+=" "+B[A]
+}}return C
 };
-DnD.getDnDMergedParams=function(C,B){var E=DnD.getDnDDefaultParams(C);
-var A=Richfaces.getNSAttribute(B,C);
-if(A){var D=A.parseJSON(EventHandlersWalk);
-if(E){if(D){Object.extend(E,D)
-}}else{E=D
-}}return E
+Richfaces.getComputedStyle=function(D,A){var B=$(D);
+if(B.nodeType!=Node.ELEMENT_NODE){return""
+}if(B.currentStyle){return B.currentStyle[A]
+}if(document.defaultView&&document.defaultView.getComputedStyle){var C=document.defaultView.getComputedStyle(B,null);
+if(C){return C.getPropertyValue(A)
+}}return""
 };
-DnD.getDnDDragParams=function(A){return DnD.getDnDMergedParams(A,"dragdndparams")
+Richfaces.getComputedStyleSize=function(B,A){var C=Richfaces.getComputedStyle(B,A);
+if(C){C=C.strip();
+C=C.replace(/px$/,"");
+return parseFloat(C)
+}return 0
 };
-DnD.getDnDDropParams=function(A){return DnD.getDnDMergedParams(A,"dropdndparams")
+Richfaces.getWindowSize=function(){var B=0,A=0;
+if(typeof (window.innerWidth)=="number"){B=window.innerWidth;
+A=window.innerHeight
+}else{if(document.documentElement&&(document.documentElement.clientWidth||document.documentElement.clientHeight)){B=document.documentElement.clientWidth;
+A=document.documentElement.clientHeight
+}else{if(document.body&&(document.body.clientWidth||document.body.clientHeight)){B=document.body.clientWidth;
+A=document.body.clientHeight
+}}}return{"width":B,"height":A}
 };
-DnD.setDefaultDnDParams=function(B){if(B){if(drag&&drag.source&&drag.source.getDraggableItems&&drag.source.getDraggableItems()>1){var A=drag.source.getDraggableItems();
-B["count"]=A;
-if(!B["label"]){B["label"]=B["count"]+" "+(B["units"]?B["units"]:"items")
-}}}}
-
-DnD.Draggable=function(){};
-DnD.ieReleaseCapture=function(){if(document.releaseCapture){document.releaseCapture()
+Richfaces.removePX=function(B){var A=B.indexOf("px");
+if(A==-1){return B
+}return B.substr(0,A)
+};
+Richfaces.visitTree=function(A,D){var B=A;
+if(!B){B=document
+}D.call(this,B);
+var C=B.firstChild;
+while(C){Richfaces.visitTree(C,D);
+C=C.nextSibling
 }};
-DnD.DragEndListener=Class.create();
-DnD.DragEndListener.prototype={initialize:function(A){this.callback=A;
+Richfaces.getNSAttribute=function(C,E){if(E.getAttributeNS){var A=E.getAttributeNS("http://richfaces.ajax4jsf.org/rich",C);
+if(A){return A
+}}var B=E.attributes;
+var D="rich:"+C;
+var A=B[D];
+if(A){return A.nodeValue
+}return null
+};
+Richfaces.VARIABLE_NAME_PATTERN=/^\s*[_,A-Z,a-z][\w,_\.]*\s*$/;
+Richfaces.getObjectValue=function(D,B){var A=D.split(".");
+var C=B[A[0]];
+var E=1;
+while(C&&E<A.length){C=C[A[E++]]
+}return(C?C:"")
+};
+Richfaces.evalMacro=function(template,object){var value="";
+if(Richfaces.VARIABLE_NAME_PATTERN.test(template)){if(template.indexOf(".")==-1){value=object[template];
+if(!value){value=window[template]
+}}else{value=Richfaces.getObjectValue(template,object);
+if(!value){value=Richfaces.getObjectValue(template,window)
+}}if(value&&typeof value=="function"){value=value(object)
+}if(!value){value=""
+}}else{try{if(Richfaces.browser.isObjectEval){value=object.eval(template)
+}else{with(object){value=eval(template)
+}}if(typeof value=="function"){value=value(object)
+}}catch(e){LOG.warn("Exception: "+e.Message+"\n["+template+"]")
+}}return value
+};
+Richfaces.evalSimpleMacro=function(B,A){var C=A[B];
+if(!C){C=window[B];
+if(!C){C=""
+}}return C
+};
+Richfaces.getComponent=function(A,B){var D="richfacesComponent";
+var C="richfaces:"+A;
+while(B.parentNode){if(B[D]&&B[D]==C){return B.component
+}else{B=B.parentNode
+}}};
+Richfaces.browser={isIE:(!window.opera&&/MSIE/.test(navigator.userAgent)),isIE6:(!window.opera&&/MSIE\s*[6][\d,\.]+;/.test(navigator.userAgent)),isSafari:/Safari/.test(navigator.userAgent),isOpera:!!window.opera,isObjectEval:(Richfaces.eval!=undefined),isFF3:(!window.opera&&/Firefox\s*[\/]3[\.]/.test(navigator.userAgent))};
+Richfaces.eval=function(template,object){var value="";
+try{with(object){value=eval(template)
+}}catch(e){LOG.warn("Exception: "+e.message+"\n["+template+"]")
+}return value
+};
+Richfaces.interpolate=function(A,D){for(var C in D){var B=D[C];
+var E=new RegExp("\\{"+C+"\\}","g");
+A=A.replace(E,B)
+}return A
+};
+if(!Richfaces.position){Richfaces.Position={}
+}Richfaces.Position.setElementPosition=function(D,M,H,K,C){var P=Richfaces.Position.getOffsetDimensions(D);
+var L=Richfaces.Position.getOffsetDimensions(M);
+var F=Richfaces.Position.getWindowViewport();
+var N=Position.cumulativeOffset(M);
+var B=N[0];
+var A=N[1];
+var O=/^(top|bottom)-(left|right)$/;
+var E;
+if(typeof H=="object"){B=H.x;
+A=H.y
+}else{if(H&&(E=H.toLowerCase().match(O))!=null){if(E[2]=="right"){B+=L.width
+}if(E[1]=="bottom"){A+=L.height
+}}else{}}if(K&&(E=K.toLowerCase().match(O))!=null){var G=K.toLowerCase().split("-");
+if(E[2]=="left"){B-=P.width+C.x
+}else{B+=C.x
+}if(E[1]=="top"){A-=P.height+C.y
+}else{A+=C.y
+}}else{var J={square:0};
+var I={right:N[0]+L.width,top:N[1]+L.height};
+I.left=I.right-P.width;
+I.bottom=I.top+P.height;
+B=I.left;
+A=I.top;
+var Q=Richfaces.Position.checkCollision(I,F);
+if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
+}I={right:N[0]+L.width,bottom:N[1]};
+I.left=I.right-P.width;
+I.top=I.bottom-P.height;
+B=I.left;
+A=I.top;
+Q=Richfaces.Position.checkCollision(I,F);
+if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
+}I={left:N[0],top:N[1]+L.height};
+I.right=I.left+P.width;
+I.bottom=I.top+P.height;
+B=I.left;
+A=I.top;
+Q=Richfaces.Position.checkCollision(I,F);
+if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
+}I={left:N[0],bottom:N[1]};
+I.right=I.left+P.width;
+I.top=I.bottom-P.height;
+B=I.left;
+A=I.top;
+Q=Richfaces.Position.checkCollision(I,F);
+if(Q!=0){if(B<0||A<0||J.square>Q){B=J.x;
+A=J.y
+}}}}}}D.style.left=B+"px";
+D.style.top=A+"px"
+};
+Richfaces.Position.getOffsetDimensions=function(C){C=$(C);
+var G=$(C).getStyle("display");
+if(G!="none"&&G!=null){return{width:C.offsetWidth,height:C.offsetHeight}
+}var B=C.style;
+var F=B.visibility;
+var D=B.position;
+var A=B.display;
+B.visibility="hidden";
+B.position="absolute";
+B.display="block";
+var H=C.offsetWidth;
+var E=C.offsetHeight;
+B.display=A;
+B.position=D;
+B.visibility=F;
+return{width:H,height:E}
+};
+Richfaces.Position.checkCollision=function(A,B,D){if(A.left>=B.left&&A.top>=B.top&&A.right<=B.right&&A.bottom<=B.bottom){return 0
+}var C={left:(A.left>B.left?A.left:B.left),top:(A.top>B.top?A.top:B.top),right:(A.right<B.right?A.right:B.right),bottom:(A.bottom<B.bottom?A.bottom:B.bottom)};
+return(C.right-C.left)*(C.bottom-C.top)
+};
+Richfaces.Position.getWindowDimensions=function(){var A=self.innerWidth||document.documentElement.clientWidth||document.body.clientWidth||0;
+var B=self.innerHeight||document.documentElement.clientHeight||document.body.clientHeight||0;
+return{width:A,height:B}
+};
+Richfaces.Position.getWindowScrollOffset=function(){var B=window.pageXOffset||document.documentElement.scrollLeft||document.body.scrollLeft||0;
+var A=window.pageYOffset||document.documentElement.scrollTop||document.body.scrollTop||0;
+return{left:B,top:A}
+};
+Richfaces.Position.getWindowViewport=function(){var B=Richfaces.Position.getWindowDimensions();
+var A=Richfaces.Position.getWindowScrollOffset();
+return{left:A.left,top:A.top,right:B.width+A.left,bottom:B.height+A.top}
+};
+Richfaces.firstDescendant=function(A){var B=A.firstChild;
+while(B&&B.nodeType!=1){B=B.nextSibling
+}return B
+};
+Richfaces.lastDescendant=function(A){var B=A.lastChild;
+while(B&&B.nodeType!=1){B=B.previousSibling
+}return B
+};
+Richfaces.next=function(A){var B=A;
+do{B=B.nextSibling
+}while(B&&B.nodeType!=1);
+return B
+};
+Richfaces.previous=function(A){var B=A;
+do{B=B.previousSibling
+}while(B&&B.nodeType!=1);
+return B
+};
+Richfaces.removeNode=function(B){if(B){var A=B.parentNode;
+if(A){A.removeChild(B)
+}}};
+Richfaces.readAttribute=function(C,B){var A=null;
+var D=C.getAttributeNode(B);
+if(D){A=D.nodeValue
+}return A
+};
+Richfaces.writeAttribute=function(B,A,D){var C=B.getAttributeNode(A);
+if(D!==null){if(C){C.nodeValue=D
+}else{C=document.createAttribute(A);
+C.nodeValue=D;
+B.setAttributeNode(C)
+}}else{if(C){B.removeAttributeNode(C)
+}}};
+Richfaces.mergeObjects=function(){var D=arguments[0];
+if(D){for(var B=1;
+B<arguments.length;
+B++){var C=arguments[B];
+if(C){for(var A in C){if(!D[A]){D[A]=C[A]
+}}}}}};
+Richfaces.invokeEvent=function(E,D,C,B){var A;
+if(E){D=$(D);
+if(D==document&&document.createEvent&&!D.dispatchEvent){D=document.documentElement
+}var F;
+if(document.createEvent){F=document.createEvent("HTMLEvents");
+F.initEvent("dataavailable",true,true)
+}else{F=document.createEventObject();
+F.eventType="ondataavailable"
+}F.eventName=C;
+F.rich={component:this};
+F.memo=B||{};
+try{A=E.call(D,F)
+}catch(G){LOG.warn("Exception: "+G.Message+"\n[on"+C+"]")
+}}if(A!=false){A=true
+}return A
+}
+
+DnD.Dropzone=function(){};
+DnD.Dropzone.DROP_TARGET_ID="dropTargetId";
+DnD.Dropzone.prototype={getElement:function(){return $(this.id)
+},getDropzoneOptions:function(){return null
+},getDnDDefaultParams:function(){return DnD.getDnDDefaultParams(this.getElement())
+},getDnDDropParams:function(){return DnD.getDnDDropParams(this.getElement())
+},accept:function(A){return DnD.CLIENT_VALIDATION_OFF||this.getAcceptedTypes().indexOf(A.type)>-1
+},getAcceptedTypes:function(){return[]
+},getTypeMapping:function(){return{}
+},getCursorTypeMapping:function(){return{}
+},drop:function(B,A){},getIconCodeForType:function(B){var A=this.getTypeMapping();
+if(B&&A){return A[B]
+}return null
+},getCursorForType:function(B){var A=this.getCursorTypeMapping();
+if(B&&A){return A[B]
+}},dragEnter:function(C){var F=window.drag;
+F.dropzone=this;
+F.source.ondropover(C,F);
+var H=F.indicator;
+var B=this.accept(F);
+if(B){var I=this.getCursorForType(F.type);
+if(I){this.acceptMappingCursor=new DnD.Cursor(this.getElement(),I);
+this.acceptMappingCursor.showCursor()
+}else{if(this.acceptCursor){this.acceptCursor.showCursor()
+}}}else{if(this.rejectCursor){this.rejectCursor.showCursor()
+}}if(H){var G=this.getIconCodeForType(F.type);
+var D=F.source.getDnDDragParams();
+if(D){Object.extend(D,this.getDnDDropParams())
+}else{D=this.getDnDDropParams()
+}if(D){if(G){D["marker"]=D[G]
+}else{D["marker"]=null
+}}var E=B?"accept":"reject";
+DnD.setDefaultDnDParams(D);
+if(F.source.getDraggableItems&&F.source.getDraggableItems()>1){H.setContent(E,false,D)
+}else{H.setContent(E,true,D)
+}if(B){H.accept()
+}else{H.reject()
+}}var A=this.getDropzoneOptions();
+if(A&&A.ondragenter){A.ondragenter.call(C)
+}},dragLeave:function(D){var B=window.drag;
+B.dropzone=null;
+B.source.ondropout(D,B);
+B.source.setIndicator(D);
+var A=B.indicator;
+if(A){A.leave()
+}var C=this.getDropzoneOptions();
+if(C&&C.ondragexit){C.ondragexit(D)
+}if(this.acceptCursor){if(this.acceptCursor.visible){this.acceptCursor.hideCursor()
+}}if(this.rejectCursor){if(this.rejectCursor.visible){this.rejectCursor.hideCursor()
+}}if(this.acceptMappingCursor){if(this.acceptMappingCursor.visible){this.acceptMappingCursor.hideCursor()
+}}},dragUp:function(B){this.ondropend(B);
+if(this.acceptCursor){if(this.acceptCursor.visible){this.acceptCursor.hideCursor()
+}}if(this.rejectCursor){if(this.rejectCursor.visible){this.rejectCursor.hideCursor()
+}}if(this.acceptMappingCursor){if(this.acceptMappingCursor.visible){this.acceptMappingCursor.hideCursor()
+}}var A=this.getDropzoneOptions();
+if(A&&A.ondropend){A.ondropend()
+}},enableDropzoneCursors:function(B,A){if(B){this.acceptCursor=new DnD.Cursor(this.getElement(),B)
+}if(A){this.rejectCursor=new DnD.Cursor(this.getElement(),A)
+}},ondropend:function(A){},onafterdrag:function(A){},onbeforedrag:function(B,A){},ondragenter:function(A){},ondragexit:function(A){}}
+
+DnD.Draggable=function(){};
+DnD.ieReleaseCapture=function(){if(document.releaseCapture){document.releaseCapture()
+}};
+DnD.DragEndListener=Class.create();
+DnD.DragEndListener.prototype={initialize:function(A){this.callback=A;
 this.onmoveBound=this.onmove.bindAsEventListener(this);
 this.onupBound=this.onup.bindAsEventListener(this)
 },activate:function(A){Event.observe(document,"mousemove",this.onmoveBound);
@@ -6258,294 +6360,226 @@
 if(C){Element.setStyle(C,{"borderBottom":"1px dashed "+B})
 }}}
 
-DnD.Dropzone=function(){};
-DnD.Dropzone.DROP_TARGET_ID="dropTargetId";
-DnD.Dropzone.prototype={getElement:function(){return $(this.id)
-},getDropzoneOptions:function(){return null
-},getDnDDefaultParams:function(){return DnD.getDnDDefaultParams(this.getElement())
-},getDnDDropParams:function(){return DnD.getDnDDropParams(this.getElement())
-},accept:function(A){return DnD.CLIENT_VALIDATION_OFF||this.getAcceptedTypes().indexOf(A.type)>-1
-},getAcceptedTypes:function(){return[]
-},getTypeMapping:function(){return{}
-},getCursorTypeMapping:function(){return{}
-},drop:function(B,A){},getIconCodeForType:function(B){var A=this.getTypeMapping();
-if(B&&A){return A[B]
-}return null
-},getCursorForType:function(B){var A=this.getCursorTypeMapping();
-if(B&&A){return A[B]
-}},dragEnter:function(C){var F=window.drag;
-F.dropzone=this;
-F.source.ondropover(C,F);
-var H=F.indicator;
-var B=this.accept(F);
-if(B){var I=this.getCursorForType(F.type);
-if(I){this.acceptMappingCursor=new DnD.Cursor(this.getElement(),I);
-this.acceptMappingCursor.showCursor()
-}else{if(this.acceptCursor){this.acceptCursor.showCursor()
-}}}else{if(this.rejectCursor){this.rejectCursor.showCursor()
-}}if(H){var G=this.getIconCodeForType(F.type);
-var D=F.source.getDnDDragParams();
-if(D){Object.extend(D,this.getDnDDropParams())
-}else{D=this.getDnDDropParams()
-}if(D){if(G){D["marker"]=D[G]
-}else{D["marker"]=null
-}}var E=B?"accept":"reject";
-DnD.setDefaultDnDParams(D);
-if(F.source.getDraggableItems&&F.source.getDraggableItems()>1){H.setContent(E,false,D)
-}else{H.setContent(E,true,D)
-}if(B){H.accept()
-}else{H.reject()
-}}var A=this.getDropzoneOptions();
-if(A&&A.ondragenter){A.ondragenter.call(C)
-}},dragLeave:function(D){var B=window.drag;
-B.dropzone=null;
-B.source.ondropout(D,B);
-B.source.setIndicator(D);
-var A=B.indicator;
-if(A){A.leave()
-}var C=this.getDropzoneOptions();
-if(C&&C.ondragexit){C.ondragexit(D)
-}if(this.acceptCursor){if(this.acceptCursor.visible){this.acceptCursor.hideCursor()
-}}if(this.rejectCursor){if(this.rejectCursor.visible){this.rejectCursor.hideCursor()
-}}if(this.acceptMappingCursor){if(this.acceptMappingCursor.visible){this.acceptMappingCursor.hideCursor()
-}}},dragUp:function(B){this.ondropend(B);
-if(this.acceptCursor){if(this.acceptCursor.visible){this.acceptCursor.hideCursor()
-}}if(this.rejectCursor){if(this.rejectCursor.visible){this.rejectCursor.hideCursor()
-}}if(this.acceptMappingCursor){if(this.acceptMappingCursor.visible){this.acceptMappingCursor.hideCursor()
-}}var A=this.getDropzoneOptions();
-if(A&&A.ondropend){A.ondropend()
-}},enableDropzoneCursors:function(B,A){if(B){this.acceptCursor=new DnD.Cursor(this.getElement(),B)
-}if(A){this.rejectCursor=new DnD.Cursor(this.getElement(),A)
-}},ondropend:function(A){},onafterdrag:function(A){},onbeforedrag:function(B,A){},ondragenter:function(A){},ondragexit:function(A){}}
-
-if(!window.Richfaces){window.Richfaces={}
-}Richfaces.mergeStyles=function(B,C){var A;
-for(A in B){if(typeof B[A]=="object"){this.mergeStyles(B[A],C[A])
-}else{C[A]+=" "+B[A]
-}}return C
-};
-Richfaces.getComputedStyle=function(D,A){var B=$(D);
-if(B.nodeType!=Node.ELEMENT_NODE){return""
-}if(B.currentStyle){return B.currentStyle[A]
-}if(document.defaultView&&document.defaultView.getComputedStyle){var C=document.defaultView.getComputedStyle(B,null);
-if(C){return C.getPropertyValue(A)
-}}return""
-};
-Richfaces.getComputedStyleSize=function(B,A){var C=Richfaces.getComputedStyle(B,A);
-if(C){C=C.strip();
-C=C.replace(/px$/,"");
-return parseFloat(C)
-}return 0
-};
-Richfaces.getWindowSize=function(){var B=0,A=0;
-if(typeof (window.innerWidth)=="number"){B=window.innerWidth;
-A=window.innerHeight
-}else{if(document.documentElement&&(document.documentElement.clientWidth||document.documentElement.clientHeight)){B=document.documentElement.clientWidth;
-A=document.documentElement.clientHeight
-}else{if(document.body&&(document.body.clientWidth||document.body.clientHeight)){B=document.body.clientWidth;
-A=document.body.clientHeight
-}}}return{"width":B,"height":A}
-};
-Richfaces.removePX=function(B){var A=B.indexOf("px");
-if(A==-1){return B
-}return B.substr(0,A)
-};
-Richfaces.visitTree=function(A,D){var B=A;
-if(!B){B=document
-}D.call(this,B);
-var C=B.firstChild;
-while(C){Richfaces.visitTree(C,D);
-C=C.nextSibling
-}};
-Richfaces.getNSAttribute=function(C,E){if(E.getAttributeNS){var A=E.getAttributeNS("http://richfaces.ajax4jsf.org/rich",C);
-if(A){return A
-}}var B=E.attributes;
-var D="rich:"+C;
-var A=B[D];
-if(A){return A.nodeValue
-}return null
-};
-Richfaces.VARIABLE_NAME_PATTERN=/^\s*[_,A-Z,a-z][\w,_\.]*\s*$/;
-Richfaces.getObjectValue=function(D,B){var A=D.split(".");
-var C=B[A[0]];
-var E=1;
-while(C&&E<A.length){C=C[A[E++]]
-}return(C?C:"")
-};
-Richfaces.evalMacro=function(template,object){var value="";
-if(Richfaces.VARIABLE_NAME_PATTERN.test(template)){if(template.indexOf(".")==-1){value=object[template];
-if(!value){value=window[template]
-}}else{value=Richfaces.getObjectValue(template,object);
-if(!value){value=Richfaces.getObjectValue(template,window)
-}}if(value&&typeof value=="function"){value=value(object)
-}if(!value){value=""
-}}else{try{if(Richfaces.browser.isObjectEval){value=object.eval(template)
-}else{with(object){value=eval(template)
-}}if(typeof value=="function"){value=value(object)
-}}catch(e){LOG.warn("Exception: "+e.Message+"\n["+template+"]")
-}}return value
-};
-Richfaces.evalSimpleMacro=function(B,A){var C=A[B];
-if(!C){C=window[B];
-if(!C){C=""
-}}return C
-};
-Richfaces.getComponent=function(A,B){var D="richfacesComponent";
-var C="richfaces:"+A;
-while(B.parentNode){if(B[D]&&B[D]==C){return B.component
-}else{B=B.parentNode
-}}};
-Richfaces.browser={isIE:(!window.opera&&/MSIE/.test(navigator.userAgent)),isIE6:(!window.opera&&/MSIE\s*[6][\d,\.]+;/.test(navigator.userAgent)),isSafari:/Safari/.test(navigator.userAgent),isOpera:!!window.opera,isObjectEval:(Richfaces.eval!=undefined),isFF3:(!window.opera&&/Firefox\s*[\/]3[\.]/.test(navigator.userAgent))};
-Richfaces.eval=function(template,object){var value="";
-try{with(object){value=eval(template)
-}}catch(e){LOG.warn("Exception: "+e.message+"\n["+template+"]")
-}return value
-};
-Richfaces.interpolate=function(A,D){for(var C in D){var B=D[C];
-var E=new RegExp("\\{"+C+"\\}","g");
-A=A.replace(E,B)
-}return A
-};
-if(!Richfaces.position){Richfaces.Position={}
-}Richfaces.Position.setElementPosition=function(D,M,H,K,C){var P=Richfaces.Position.getOffsetDimensions(D);
-var L=Richfaces.Position.getOffsetDimensions(M);
-var F=Richfaces.Position.getWindowViewport();
-var N=Position.cumulativeOffset(M);
-var B=N[0];
-var A=N[1];
-var O=/^(top|bottom)-(left|right)$/;
-var E;
-if(typeof H=="object"){B=H.x;
-A=H.y
-}else{if(H&&(E=H.toLowerCase().match(O))!=null){if(E[2]=="right"){B+=L.width
-}if(E[1]=="bottom"){A+=L.height
-}}else{}}if(K&&(E=K.toLowerCase().match(O))!=null){var G=K.toLowerCase().split("-");
-if(E[2]=="left"){B-=P.width+C.x
-}else{B+=C.x
-}if(E[1]=="top"){A-=P.height+C.y
-}else{A+=C.y
-}}else{var J={square:0};
-var I={right:N[0]+L.width,top:N[1]+L.height};
-I.left=I.right-P.width;
-I.bottom=I.top+P.height;
-B=I.left;
-A=I.top;
-var Q=Richfaces.Position.checkCollision(I,F);
-if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
-}I={right:N[0]+L.width,bottom:N[1]};
-I.left=I.right-P.width;
-I.top=I.bottom-P.height;
-B=I.left;
-A=I.top;
-Q=Richfaces.Position.checkCollision(I,F);
-if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
-}I={left:N[0],top:N[1]+L.height};
-I.right=I.left+P.width;
-I.bottom=I.top+P.height;
-B=I.left;
-A=I.top;
-Q=Richfaces.Position.checkCollision(I,F);
-if(Q!=0){if(B>=0&&A>=0&&J.square<Q){J={x:B,y:A,square:Q}
-}I={left:N[0],bottom:N[1]};
-I.right=I.left+P.width;
-I.top=I.bottom-P.height;
-B=I.left;
-A=I.top;
-Q=Richfaces.Position.checkCollision(I,F);
-if(Q!=0){if(B<0||A<0||J.square>Q){B=J.x;
-A=J.y
-}}}}}}D.style.left=B+"px";
-D.style.top=A+"px"
-};
-Richfaces.Position.getOffsetDimensions=function(C){C=$(C);
-var G=$(C).getStyle("display");
-if(G!="none"&&G!=null){return{width:C.offsetWidth,height:C.offsetHeight}
-}var B=C.style;
-var F=B.visibility;
-var D=B.position;
-var A=B.display;
-B.visibility="hidden";
-B.position="absolute";
-B.display="block";
-var H=C.offsetWidth;
-var E=C.offsetHeight;
-B.display=A;
-B.position=D;
-B.visibility=F;
-return{width:H,height:E}
-};
-Richfaces.Position.checkCollision=function(A,B,D){if(A.left>=B.left&&A.top>=B.top&&A.right<=B.right&&A.bottom<=B.bottom){return 0
-}var C={left:(A.left>B.left?A.left:B.left),top:(A.top>B.top?A.top:B.top),right:(A.right<B.right?A.right:B.right),bottom:(A.bottom<B.bottom?A.bottom:B.bottom)};
-return(C.right-C.left)*(C.bottom-C.top)
-};
-Richfaces.Position.getWindowDimensions=function(){var A=self.innerWidth||document.documentElement.clientWidth||document.body.clientWidth||0;
-var B=self.innerHeight||document.documentElement.clientHeight||document.body.clientHeight||0;
-return{width:A,height:B}
-};
-Richfaces.Position.getWindowScrollOffset=function(){var B=window.pageXOffset||document.documentElement.scrollLeft||document.body.scrollLeft||0;
-var A=window.pageYOffset||document.documentElement.scrollTop||document.body.scrollTop||0;
-return{left:B,top:A}
+DnD.getDnDDefaultParams=function(B){var A=Richfaces.getNSAttribute("defaultdndparams",B);
+if(A){var C=A.parseJSON(EventHandlersWalk);
+if(C){return C
+}}return{}
 };
-Richfaces.Position.getWindowViewport=function(){var B=Richfaces.Position.getWindowDimensions();
-var A=Richfaces.Position.getWindowScrollOffset();
-return{left:A.left,top:A.top,right:B.width+A.left,bottom:B.height+A.top}
+DnD.getDnDMergedParams=function(C,B){var E=DnD.getDnDDefaultParams(C);
+var A=Richfaces.getNSAttribute(B,C);
+if(A){var D=A.parseJSON(EventHandlersWalk);
+if(E){if(D){Object.extend(E,D)
+}}else{E=D
+}}return E
 };
-Richfaces.firstDescendant=function(A){var B=A.firstChild;
-while(B&&B.nodeType!=1){B=B.nextSibling
-}return B
+DnD.getDnDDragParams=function(A){return DnD.getDnDMergedParams(A,"dragdndparams")
 };
-Richfaces.lastDescendant=function(A){var B=A.lastChild;
-while(B&&B.nodeType!=1){B=B.previousSibling
-}return B
+DnD.getDnDDropParams=function(A){return DnD.getDnDMergedParams(A,"dropdndparams")
 };
-Richfaces.next=function(A){var B=A;
-do{B=B.nextSibling
-}while(B&&B.nodeType!=1);
-return B
+DnD.setDefaultDnDParams=function(B){if(B){if(drag&&drag.source&&drag.source.getDraggableItems&&drag.source.getDraggableItems()>1){var A=drag.source.getDraggableItems();
+B["count"]=A;
+if(!B["label"]){B["label"]=B["count"]+" "+(B["units"]?B["units"]:"items")
+}}}}
+
+if(!window.RichFaces){window.RichFaces={}
+}RichFaces.MSIE=0;
+RichFaces.FF=1;
+RichFaces.OPERA=2;
+RichFaces.NETSCAPE=3;
+RichFaces.SAFARI=4;
+RichFaces.KONQ=5;
+RichFaces.navigatorType=function(){var A=navigator.userAgent.toLowerCase();
+if(A.indexOf("msie")>=0||A.indexOf("explorer")>=0){return RichFaces.MSIE
+}if(A.indexOf("firefox")>=0||A.indexOf("iceweasel")>=0){return RichFaces.FF
+}if(A.indexOf("opera")>=0){return RichFaces.OPERA
+}if(A.indexOf("netscape")>=0){return RichFaces.NETSCAPE
+}if(A.indexOf("safari")>=0){return RichFaces.SAFARI
+}if(A.indexOf("konqueror")>=0){return RichFaces.KONQ
+}return"OTHER"
 };
-Richfaces.previous=function(A){var B=A;
-do{B=B.previousSibling
-}while(B&&B.nodeType!=1);
-return B
+RichFaces.getOperaVersion=function(){var B=navigator.userAgent.toLowerCase();
+var A=B.indexOf("opera");
+if(A==-1){return 
+}return parseFloat(B.substring(A+6))
 };
-Richfaces.removeNode=function(B){if(B){var A=B.parentNode;
-if(A){A.removeChild(B)
-}}};
-Richfaces.readAttribute=function(C,B){var A=null;
-var D=C.getAttributeNode(B);
-if(D){A=D.nodeValue
-}return A
+RichFaces.getIEVersion=function(){var C="msie";
+var D=navigator.userAgent.toLowerCase();
+var A=D.indexOf(C);
+if(A!=-1){var E=D.indexOf(";",A);
+var B;
+if(E!=-1){B=D.substring(A+C.length,E)
+}else{B=D.substring(A+C.length)
+}return parseFloat(B)
+}else{return undefined
+}}
+
+var mediaName="rich-extended-skinning";
+var userAgent=navigator.userAgent;
+var skipNavigator=window.opera||(userAgent.indexOf("AppleWebKit/")>-1&&userAgent.indexOf("Chrome/")==-1);
+if(!skipNavigator){var resetMedia=function(A){var B=A.getAttribute("media");
+if(mediaName==B){A.removeAttribute("media")
+}};
+if(!window._RICH_FACES_SKINNING_ADDED_TO_BODY){var getElementByTagName=function(B,A){var E;
+try{E=B.selectNodes('.//*[local-name()="'+A+'"]')
+}catch(C){try{E=B.getElementsByTagName(A)
+}catch(D){}}return E
 };
-Richfaces.writeAttribute=function(B,A,D){var C=B.getAttributeNode(A);
-if(D!==null){if(C){C.nodeValue=D
-}else{C=document.createAttribute(A);
-C.nodeValue=D;
-B.setAttributeNode(C)
-}}else{if(C){B.removeAttributeNode(C)
-}}};
-Richfaces.mergeObjects=function(){var D=arguments[0];
-if(D){for(var B=1;
-B<arguments.length;
-B++){var C=arguments[B];
-if(C){for(var A in C){if(!D[A]){D[A]=C[A]
-}}}}}};
-Richfaces.invokeEvent=function(E,D,C,B){var A;
-if(E){D=$(D);
-if(D==document&&document.createEvent&&!D.dispatchEvent){D=document.documentElement
-}var F;
-if(document.createEvent){F=document.createEvent("HTMLEvents");
-F.initEvent("dataavailable",true,true)
-}else{F=document.createEventObject();
-F.eventType="ondataavailable"
-}F.eventName=C;
-F.rich={component:this};
-F.memo=B||{};
-try{A=E.call(D,F)
-}catch(G){LOG.warn("Exception: "+G.Message+"\n[on"+C+"]")
-}}if(A!=false){A=true
-}return A
+var f=function(){if(window.RICH_FACES_EXTENDED_SKINNING_ON){var D=getElementByTagName(document,"link");
+if(D){var A=D.length;
+for(var C=0;
+C<A;
+C++){var B=D[C];
+resetMedia(B)
+}}}};
+if(window.addEventListener){window.addEventListener("load",f,false)
+}else{window.attachEvent("onload",f)
+}window._RICH_FACES_SKINNING_ADDED_TO_BODY=true
+}if(!window._RICH_FACES_SKINNING_ADDED_TO_AJAX&&typeof A4J!="undefined"&&A4J.AJAX){A4J.AJAX.AddHeadElementTransformer(function(A){if(window.RICH_FACES_EXTENDED_SKINNING_ON){if(A.tagName&&A.tagName.toLowerCase()=="link"){resetMedia(A)
+}}});
+window._RICH_FACES_SKINNING_ADDED_TO_AJAX=true
+}}
+if(!window.Richfaces){window.Richfaces={}
+}Richfaces.jsFormSubmit=function(F,B,D,E){var C=document.getElementById(B);
+if(C){var A=C.target;
+var H=new Array();
+if(E){for(var G in E){H.push(G)
+}}_JSFFormSubmit(F,B,D,E);
+_clearJSFFormParameters(B,A,H)
+}}
+
+if(!window.Richfaces){window.Richfaces={}
+}Richfaces.SYNTHETIC_EVENT="Richfaces.SYNTHETIC_EVENT";
+Richfaces.createEvent=function(F,D,C,E){var G;
+if(document.createEventObject){if(C){G=document.createEventObject(C)
+}else{G=document.createEventObject()
+}}else{var B=C&&C.bubbles||false;
+var A=C&&C.cancelable||true;
+switch(F){case"abort":case"blur":case"change":case"error":case"focus":case"load":case"reset":case"resize":case"scroll":case"select":case"submit":case"unload":G=document.createEvent("HTMLEvents");
+G.initEvent(F,B,A);
+break;
+case"DOMActivate":case"DOMFocusIn":case"DOMFocusOut":case"keydown":case"keypress":case"keyup":G=document.createEvent("UIEvents");
+if(C){G.initUIEvent(F,B,A,C.windowObject,C.detail)
+}else{G.initEvent(F,B,A)
+}break;
+case"click":case"mousedown":case"mousemove":case"mouseout":case"mouseover":case"mouseup":G=document.createEvent("MouseEvents");
+if(C){G.initMouseEvent(F,B,A,C.windowObject,C.detail,C.screenX,C.screenY,C.clientX,C.clientY,C.ctrlKey,C.altKey,C.shiftKey,C.metaKey,C.button,C.relatedTarget)
+}else{G.initEvent(F,B,A)
+}break;
+case"DOMAttrModified":case"DOMNodeInserted":case"DOMNodeRemoved":case"DOMCharacterDataModified":case"DOMNodeInsertedIntoDocument":case"DOMNodeRemovedFromDocument":case"DOMSubtreeModified":G=document.createEvent("MutationEvents");
+if(C){G.initMutationEvent(F,B,A,C.relatedNode,C.prevValue,C.newValue,C.attrName,C.attrChange)
+}else{G.initEvent(F,B,A)
+}break;
+default:G=document.createEvent("Events");
+G.initEvent(F,B,A)
+}}if(E){Object.extend(G,E)
+}G[Richfaces.SYNTHETIC_EVENT]=true;
+return{event:G,fire:function(){if(D.fireEvent){D.fireEvent("on"+F,this.event)
+}else{D.dispatchEvent(this.event)
+}},destroy:function(){if(E){for(var H in E){this.event[H]=undefined
+}}}}
+};
+Richfaces.eventIsSynthetic=function(A){if(A){return new Boolean(A[Richfaces.SYNTHETIC_EVENT]).valueOf()
+}return false
 }
 
+if(!document.observe){throw"prototype.js is required!"
+}if(!A4J||!A4J.AJAX||!A4J.AJAX.AddListener){throw"AJAX script is required!"
+}if(!window.Richfaces){window.Richfaces={}
+}Object.extend(Richfaces,function(){var D=0;
+var B={};
+var G=false;
+var J=null;
+var F=function(L,N){if(N instanceof Array){for(var M=0;
+M<N.length;
+M++){N[M](L)
+}}else{N(L)
+}};
+var H=function(){if(G){Event.stopObserving(document,"mouseover",K,true);
+Event.stopObserving(document,"focus",K,true);
+Event.stopObserving(document,"focusin",K,true);
+G=false;
+J=null
+}};
+var K=function(N){var L=Event.element(N);
+while(L){var P=L.id;
+if(P){if(!J){J=P
+}else{if(J==P){break
+}}var M=B[P];
+if(M){try{F(L,M)
+}catch(O){A();
+throw O
+}delete B[P];
+if(--D==0){H();
+break
+}}}L=L.parentNode
+}};
+var C=function(){if(!G){Event.observe(document,"mousemove",K,true);
+Event.observe(document,"focus",K,true);
+Event.observe(document,"focusin",K,true);
+G=true
+}};
+var A=function(){try{H();
+D=0;
+B={}
+}catch(L){LOG.error("Error occured during cleanup: "+L)
+}};
+var I=function(){try{for(var M in B){var L=$(M);
+if(L){F(L,B[M])
+}else{LOG.error("Element with id = "+M+" hasn't been found!")
+}}}finally{A()
+}};
+var E=function(O,P){var N=$(O);
+if(N){P(N)
+}else{var L=B[O];
+if(!L){B[O]=P;
+J=null;
+D++;
+C()
+}else{if(L instanceof Array){L.push(P)
+}else{var M=new Array();
+M.push(L);
+M.push(P);
+B[O]=M
+}}}};
+A4J.AJAX.AddListener(I);
+document.observe("dom:loaded",I);
+return{onAvailable:E}
+}())
+
+A4J_Command=Class.create();
+A4J_Command.prototype={initialize:function(B,C,A){this.form=Event.findElement(B,"form");
+this.target=A;
+this.objectsCreated=new Array();
+this.oldValuesOfExistingInputs={};
+this.appendParameters(C);
+this.processClick();
+this.cleanUp()
+},processClick:function(){var B=this.form;
+var A=B.target;
+$A(this.objectsCreated).each(function(C){B.appendChild(C)
+});
+if(this.target){B.target=this.target
+}B.submit();
+B.target=A
+},appendParameters:function(B){var A=this;
+$H(B).each(function(C){A.createOrInitHiddenInput(C.key,C.value)
+})
+},cleanUp:function(){var A=this.form;
+$H(this.oldValuesOfExistingInputs).each(function(B){($(B.key)||A[B.key]).value=B.value
+});
+$A(this.objectsCreated).each(function(B){A.removeChild(B)
+});
+delete (this.objectsCreated)
+},createOrInitHiddenInput:function(B,C){var A=$(B)||this.form[B];
+if(!A){A=document.createElement("input");
+A.setAttribute("type","hidden");
+A.setAttribute("name",B);
+A.setAttribute("id",B);
+this.objectsCreated.push(A)
+}else{this.oldValuesOfExistingInputs[B]=A.value
+}A.value=C
+}}
+
 if(!window.A4J){window.A4J={}
 }if(!A4J.findForm){function _JSFFormSubmit(I,K,F,J){var C=(typeof K=="string"?document.getElementById(K):K);
 if(C){var B=[];
@@ -6595,13 +6629,6 @@
 }}
 }
 if(!window.Richfaces){window.Richfaces={}
-}Richfaces.setImages=function(B,A){B=$(B);
-if(!B){return 
-}for(imageSrc in A){if(typeof imageSrc!="function"){B[imageSrc]=new Image();
-B[imageSrc].src=A[imageSrc]
-}}}
-
-if(!window.Richfaces){window.Richfaces={}
 }if(!Richfaces.SmartPosition){Richfaces.SmartPosition={options:$H({"positionX":["right","left","center"],"positionY":["bottom","top"],positionFloat:true}),getBase:function(){return(document.compatMode&&document.compatMode.toLowerCase()=="css1compat"&&!/Netscape|Opera/.test(navigator.userAgent))?document.documentElement:(document.body||null)
 },screenOffset:function(G,A){G=$(G);
 var B=this.getBase();
@@ -6667,37 +6694,10 @@
 }},isElement:function(A){return(A.length==undefined)
 }}
 }
-A4J_Command=Class.create();
-A4J_Command.prototype={initialize:function(B,C,A){this.form=Event.findElement(B,"form");
-this.target=A;
-this.objectsCreated=new Array();
-this.oldValuesOfExistingInputs={};
-this.appendParameters(C);
-this.processClick();
-this.cleanUp()
-},processClick:function(){var B=this.form;
-var A=B.target;
-$A(this.objectsCreated).each(function(C){B.appendChild(C)
-});
-if(this.target){B.target=this.target
-}B.submit();
-B.target=A
-},appendParameters:function(B){var A=this;
-$H(B).each(function(C){A.createOrInitHiddenInput(C.key,C.value)
-})
-},cleanUp:function(){var A=this.form;
-$H(this.oldValuesOfExistingInputs).each(function(B){($(B.key)||A[B.key]).value=B.value
-});
-$A(this.objectsCreated).each(function(B){A.removeChild(B)
-});
-delete (this.objectsCreated)
-},createOrInitHiddenInput:function(B,C){var A=$(B)||this.form[B];
-if(!A){A=document.createElement("input");
-A.setAttribute("type","hidden");
-A.setAttribute("name",B);
-A.setAttribute("id",B);
-this.objectsCreated.push(A)
-}else{this.oldValuesOfExistingInputs[B]=A.value
-}A.value=C
-}}
+if(!window.Richfaces){window.Richfaces={}
+}Richfaces.setImages=function(B,A){B=$(B);
+if(!B){return 
+}for(imageSrc in A){if(typeof imageSrc!="function"){B[imageSrc]=new Image();
+B[imageSrc].src=A[imageSrc]
+}}}
 
